%define prerelease 11980bca75081293d60de4b6e78f05dae6c5e5f7
%define import_path github.com/mitchellh/mapstructure
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	a Go library for decoding generic map values to structures
Name:		golang-mitchellh-mapstructure
Version:	0.20130922
Release:	%mkrel 7
License:	MIT
Group:		Development/Other
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
mapstructure is a Go library for decoding generic map values to structures and
vice versa, while providing helpful error handling.

This library is most useful when decoding values from some data stream (JSON,
Gob, etc.) where you don't quite know the structure of the underlying data
until you read a part of it.

%prep
%setup -q -n mapstructure-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc LICENSE
%doc README.md
%{gosrc}/*


%changelog
* Wed Jul 20 2016 pterjan <pterjan> 0.20130922-7.mga6
+ Revision: 1042844
- Use gopath macro from golang package and make this package noarch

* Thu Feb 11 2016 umeabot <umeabot> 0.20130922-6.mga6
+ Revision: 954177
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.20130922-5.mga6
+ Revision: 893495
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.20130922-4.mga5
+ Revision: 740420
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20130922-3.mga5
+ Revision: 679871
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20130922-2.mga4
+ Revision: 559438
+ rebuild (emptylog)

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20130922-1.mga4
+ Revision: 546843
- imported package golang-mitchellh-mapstructure

